haskell-aeson (2.1.2.1-6) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Disable tests on powerpc due to memory constraints

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 08 Oct 2024 00:20:39 +0300

haskell-aeson (2.1.2.1-5) unstable; urgency=medium

  * Fix tests on 32bit architectures (Closes: #1053530)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 21 Oct 2023 16:34:01 +0300

haskell-aeson (2.1.2.1-4) unstable; urgency=medium

  * Backport upstream patch to fix compatibility with QuickCheck 2.14.3
    (Closes: #1053304, #1053208)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 05 Oct 2023 20:35:30 +0300

haskell-aeson (2.1.2.1-3) unstable; urgency=medium

  * Patch testsuite bug.

 -- Clint Adams <clint@debian.org>  Mon, 18 Sep 2023 17:22:32 -0400

haskell-aeson (2.1.2.1-2) unstable; urgency=medium

  * Patch for newer dependencies.

 -- Clint Adams <clint@debian.org>  Mon, 18 Sep 2023 13:40:12 -0400

haskell-aeson (2.1.2.1-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.2

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 18 Sep 2023 09:32:16 -0400

haskell-aeson (2.0.3.0-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.1

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 23 Jul 2022 08:09:52 -0400

haskell-aeson (1.4.7.1-2) unstable; urgency=medium

  * Backport patch to fix failing tests (Closes: #963712)
  * Re-enable tests on mipsel

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 27 Jun 2020 17:53:46 +0300

haskell-aeson (1.4.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 26 May 2020 09:33:54 -0700

haskell-aeson (1.4.2.0-5) unstable; urgency=medium

  * Disable tests on mipsel, they fail with ENOMEM

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 29 Sep 2019 11:04:17 +0200

haskell-aeson (1.4.2.0-4) unstable; urgency=medium

  * Re-enable testsuite.

 -- Clint Adams <clint@debian.org>  Sun, 01 Sep 2019 18:03:41 -0400

haskell-aeson (1.4.2.0-3) unstable; urgency=medium

  * Relax orhpan dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 Aug 2019 15:26:32 +0200

haskell-aeson (1.4.2.0-2) unstable; urgency=medium

  * Build-depend on haskell-devscripts (>= 0.15) to work around ancient
    timestamp.  closes: #933164.

 -- Clint Adams <clint@debian.org>  Sat, 27 Jul 2019 13:31:18 -0400

haskell-aeson (1.4.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 26 Jul 2019 21:29:49 -0400

haskell-aeson (1.3.1.1-3) unstable; urgency=medium

  * Pass ggc-min-expand=10 on mips and mipsel

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 23 Oct 2018 18:32:04 +0300

haskell-aeson (1.3.1.1-2) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)
  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:25 +0300

haskell-aeson (1.3.1.1-1) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 29 Sep 2018 14:15:59 +0300

haskell-aeson (1.2.4.0-2) unstable; urgency=medium

  * Patch for newer generic-deriving and QuickCheck.

 -- Clint Adams <clint@debian.org>  Sun, 15 Apr 2018 10:05:27 -0400

haskell-aeson (1.2.4.0-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 15:13:15 -0400

haskell-aeson (1.1.2.0-1) unstable; urgency=medium

  * New upstream release
  * Disable tests (Closes: #875304).
    These require base-orphans newer than current LTS.
  * Disable 32bit-fixes patch until it can be refreshed.
    aeson needs to be updated in the archive to unblock other parts of the
    current Haskell transition.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 10 Sep 2017 13:23:53 -0700

haskell-aeson (1.0.2.1-6) unstable; urgency=medium

  * Fix BE and 32bit builds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Jul 2017 17:22:07 +0200

haskell-aeson (1.0.2.1-5) unstable; urgency=medium

  [ Adrian Bunk <bunk@debian.org> ]
  * Correct the patch th-options patch, the new release wrongly
    refreshed it. This should fix the FTBFS (Closes: #867996)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Jul 2017 11:48:41 +0200

haskell-aeson (1.0.2.1-4) unstable; urgency=medium

  * Re-enable testsuite.

 -- Clint Adams <clint@debian.org>  Fri, 14 Jul 2017 18:48:44 -0400

haskell-aeson (1.0.2.1-3) unstable; urgency=medium

  * Disable testsuite.

 -- Clint Adams <clint@debian.org>  Thu, 13 Jul 2017 19:22:56 -0400

haskell-aeson (1.0.2.1-2) unstable; urgency=medium

  * Fix (testsuite) build-dependencies.  closes: #867871.

 -- Clint Adams <clint@debian.org>  Mon, 10 Jul 2017 07:22:46 -0400

haskell-aeson (1.0.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 06 Jul 2017 18:38:53 -0400

haskell-aeson (0.11.3.0-2) unstable; urgency=medium

  * Fix path to libHSrts_thr.a.

 -- Clint Adams <clint@debian.org>  Tue, 27 Jun 2017 19:34:36 -0400

haskell-aeson (0.11.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 17 Jun 2017 13:27:00 -0400

haskell-aeson (0.11.2.1-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:21 -0400

haskell-aeson (0.11.2.1-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 12:16:20 -0400

haskell-aeson (0.11.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 12 Aug 2016 21:14:45 -0700

haskell-aeson (0.11.2.0-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Joachim Breitner ]
  * New upstream release

  [ Sean Whitton ]
  * Refresh patches.
  * Delete obsolete patches (applied upstream):
    - missing-test-modules
    - 5cd5d79e8a0db136ba5f679fbcfb60c7cd17649f.patch
    - a35b5570d6d729a38d68e309c3bd92f3138e3833.patch

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 31 May 2016 17:48:20 +0900

haskell-aeson (0.10.0.0-3) unstable; urgency=medium

  * Backports upstream patches that help with 32 bit compat
    (Closes: #811060) 

 -- Joachim Breitner <nomeata@debian.org>  Fri, 22 Jan 2016 22:08:39 +0100

haskell-aeson (0.10.0.0-2) unstable; urgency=medium

  * Add missing test modules.

 -- Clint Adams <clint@debian.org>  Mon, 11 Jan 2016 21:36:22 -0500

haskell-aeson (0.10.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 10 Jan 2016 22:56:01 -0500

haskell-aeson (0.8.0.2-5) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:03 -0500

haskell-aeson (0.8.0.2-4) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:26:55 +0200

haskell-aeson (0.8.0.2-3) unstable; urgency=medium

  * Fix tests for threading and template-haskell

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Wed, 12 Aug 2015 14:10:50 +0200

haskell-aeson (0.8.0.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:47:32 +0200

haskell-aeson (0.8.0.2-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 23 Dec 2014 13:52:49 +0100

haskell-aeson (0.7.0.6-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Tue, 23 Dec 2014 12:57:32 +0100

haskell-aeson (0.7.0.6-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 03 Jun 2014 15:42:05 +0200

haskell-aeson (0.7.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Raúl Benencia <rul@kalgan.cc>  Sat, 19 Apr 2014 12:00:25 -0300

haskell-aeson (0.6.2.1-2) unstable; urgency=medium

  * Fix path to test whether -threaded is supported by GHC

 -- Joachim Breitner <nomeata@debian.org>  Tue, 10 Dec 2013 23:50:13 +0000

haskell-aeson (0.6.2.1-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 22 Nov 2013 21:56:51 -0500

haskell-aeson (0.6.1.0-3) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:51:58 +0200

haskell-aeson (0.6.1.0-2) unstable; urgency=low

  [ Colin Watson ]
  * Drop ghc-ghci build-dependency, since we take care to build without
    Template Haskell support on architectures that lack it.

  [ Joachim Breitner ]
  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:49:47 +0200

haskell-aeson (0.6.1.0-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 07 Feb 2013 20:25:34 +0100

haskell-aeson (0.6.0.2-2) experimental; urgency=low

  [ Iain Lane ]
  * Remove arch restrictions on ghci and other BDs, now that we should have
    full support on all arches from GHC 7.4.2. Version GHC BD to guarantee
    this.

  [ Joachim Breitner ]
  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Wed, 17 Oct 2012 20:54:04 +0200

haskell-aeson (0.6.0.2-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Thu, 10 May 2012 01:08:18 -0400

haskell-aeson (0.6.0.1-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.3.

 -- Clint Adams <clint@debian.org>  Tue, 03 Apr 2012 13:17:01 -0400

haskell-aeson (0.6.0.0-4) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Feb 2012 19:20:33 -0400

haskell-aeson (0.6.0.0-3) unstable; urgency=low

  * Build-depend on dlist

 -- Joachim Breitner <nomeata@debian.org>  Fri, 10 Feb 2012 23:59:50 +0100

haskell-aeson (0.6.0.0-2) unstable; urgency=low

  * Don't build tests threaded on architectures without threaded
    runtime (sparc).

 -- Clint Adams <clint@debian.org>  Tue, 31 Jan 2012 10:27:36 -0500

haskell-aeson (0.6.0.0-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 30 Jan 2012 21:46:49 -0500

haskell-aeson (0.3.2.11-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <clint@debian.org>  Thu, 25 Aug 2011 21:45:25 -0400

haskell-aeson (0.3.2.9-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <clint@debian.org>  Thu, 30 Jun 2011 18:39:42 -0400

haskell-aeson (0.3.2.8-1) unstable; urgency=low

  * Initial packaging.

 -- Clint Adams <clint@debian.org>  Sat, 25 Jun 2011 18:47:42 -0400
